a56a5e
From 27acb483e8f73ceb24eacca067dbea178d53aa2f Mon Sep 17 00:00:00 2001
966cef
From: Harald Hoyer <harald@redhat.com>
966cef
Date: Thu, 30 Jan 2014 14:27:18 +0100
966cef
Subject: [PATCH] dracut-functions.sh: also search in the updates directory
966cef
966cef
---
966cef
 dracut-functions.sh | 2 +-
966cef
 1 file changed, 1 insertion(+), 1 deletion(-)
966cef
966cef
diff --git a/dracut-functions.sh b/dracut-functions.sh
1755ca
index 2872516a..96a20d52 100755
966cef
--- a/dracut-functions.sh
966cef
+++ b/dracut-functions.sh
966cef
@@ -1530,7 +1530,7 @@ find_kernel_modules_by_path () {
966cef
     _OLDIFS=$IFS
966cef
     IFS=:
966cef
     while read a rest; do
966cef
-        [[ $a = */$1/* ]] || continue
966cef
+        [[ $a = */$1/* ]] || [[ $a = */updates/* ]] || continue
966cef
         printf "%s\n" "$srcmods/$a"
966cef
     done < "$srcmods/modules.dep"
966cef
     IFS=$_OLDIFS